Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Repository/Values/ObjectState/ObjectState.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\ObjectState;
8
9 use eZ\Publish\API\Repository\Values\ObjectState\ObjectState as APIObjectState;
10 use eZ\Publish\Core\Repository\Values\MultiLanguageDescriptionTrait;
11 use eZ\Publish\Core\Repository\Values\MultiLanguageNameTrait;
12 use eZ\Publish\Core\Repository\Values\MultiLanguageTrait;
13
26 class ObjectState extends APIObjectState
27 {
28 use MultiLanguageTrait;
29 use MultiLanguageNameTrait;
30 use MultiLanguageDescriptionTrait;
31
33 protected $objectStateGroup;
34
40 public function getObjectStateGroup()
41 {
42 return $this->objectStateGroup;
43 }
44
52 public function __get($property)
53 {
54 if ($property === 'defaultLanguageCode') {
55 @trigger_error(
56 __CLASS__ . '::$defaultLanguageCode is deprecated. Use mainLanguageCode',
57 E_USER_DEPRECATED
58 );
59
60 return $this->mainLanguageCode;
61 }
62
63 return parent::__get($property);
64 }
65
73 public function __isset($property)
74 {
75 if ($property === 'defaultLanguageCode') {
76 @trigger_error(
77 __CLASS__ . '::$defaultLanguageCode is deprecated. Use mainLanguageCode'
78 );
79
80 return true;
81 }
82
83 return parent::__isset($property);
84 }
85 }
eZ\Publish\Core\Repository\Values\MultiLanguageDescriptionTrait
trait MultiLanguageDescriptionTrait
Definition: MultiLanguageDescriptionTrait.php:13
eZ\Publish\Core\Repository\Values\MultiLanguageNameTrait
trait MultiLanguageNameTrait
Definition: MultiLanguageNameTrait.php:13
eZ\Publish\Core\Repository\Values\MultiLanguageTrait
trait MultiLanguageTrait
Definition: MultiLanguageTrait.php:13
eZ\Publish\API\Repository\Values\ObjectState\ObjectState
Definition: API/Repository/Values/ObjectState/ObjectState.php:23
eZ\Publish\Core\Repository\Values\ObjectState\ObjectState
Definition: Core/Repository/Values/ObjectState/ObjectState.php:27
eZ\Publish\Core\Repository\Values\ObjectState\ObjectState\getObjectStateGroup
getObjectStateGroup()
The object state group this object state belongs to.
Definition: Core/Repository/Values/ObjectState/ObjectState.php:40
eZ\Publish\Core\Repository\Values\ObjectState\ObjectState\__isset
__isset($property)
Magic isset for BC reasons.
Definition: Core/Repository/Values/ObjectState/ObjectState.php:73
eZ\Publish\Core\Repository\Values\ObjectState\ObjectState\__get
__get($property)
Magic getter for BC reasons.
Definition: Core/Repository/Values/ObjectState/ObjectState.php:52
eZ\Publish\Core\Repository\Values\ObjectState\ObjectState\$objectStateGroup
$objectStateGroup
Definition: Core/Repository/Values/ObjectState/ObjectState.php:33
eZ\Publish\Core\Repository\Values\ObjectState
Definition: Core/Repository/Values/ObjectState/ObjectState.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.